gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Represents a particular node of a . A TreePath can be converted into either an array of unsigned integers or a string. The string form is a list of numbers separated by a colon. Each number refers to the offset at that level. Thus, the path "0" refers to the root node and the path "2:4" refers to the fifth child of the third node. GLib.Opaque GLib.IWrapper
- Method
  Gtk.TreePath Creates a new GtkTreePath. an object of type The string representation of this path is "0".
- Method
  Gtk.TreePath Copies a TreePath into a new TreePath object. an object of type , the new copy
- Method
  System.Boolean `` Tests whether this TreePath is a descendant of a particular TreePath. an object of type , the potential ancestor to test an object of type , true if this TreePath is the other TreePath's descendant.
- Method
  System.Boolean `` Tests whether this TreePath is an ancestor of a given TreePath an object of type , the potential descendant an object of type , returns true if this TreePath is an ancestor of the given TreePath.
- Method
  System.Void Changes this TreePath object to refer to its own first child. FIXME: make sure this is right.
- Method
  System.Int32 `` Compares two paths. If this path appears before b in a tree, then -1 is returned. If the parameter path appears before this path, then 1 is returned. If the two nodes are equal, then 0 is returned. an object of type , the path to compare an object of type
- Method
  System.Void Disposes of the TreePath object and any resources it was using.
- Method
  System.Void Moves the TreePath to point to the next node at the current depth.
- Method
  System.Boolean Moves the TreePath to point to the previous node at the current depth, if it exists. an object of type , true if the path has a previous node and the move was made successfully.
- Method
  System.Boolean Moves the TreePath to point to its parent node, if it has a parent. an object of type , true if the path has a previous node and the move was made successfully.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of TreePath, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Constructor; builds an empty TreePath.
  an object of type
- Constructor
  Creates a new object.
  an object of type
  an object of type
  The is expressed in the form "3:2:5". The toplevel or root path would thus be "0".
- Property
  System.Int32 Returns the current depth of the TreePath. an object of type
- Method
  System.Void `` Prepends a new index to a path. As a result, the depth of the path is increased. a , the index to prepend
- Method
  System.Void `` Appends a new index to a path. As a result, the depth of the path is increased. a , the index to append
- Property
  System.Int32[] Returns the current indices of the TreePath. This is an array of integers, each representing a node in a tree. This value should not be freed. a
- Method
  System.String Generates a string representation of the TreePath. This string is a ':' separated list of numbers. For example, "4:10:0:3" would be an acceptable return value for this string. a
- Property
  GLib.GType GType Property. a Returns the native value for .